WHMCS - Bug # 115: Unable to view tickets - memory exhausted
Subject: Unable to view tickets - memory exhausted

Description: Hi

Thanks for this module.

Submitting support tickets work fine, no error. As well as Knowledge Base and Downloads.

However when | click the Support -> Tickets, to display available tickets the page white screens and this
error is logged to Apache error.log

<code>PHP Fatal error: Allowed memory size of 134217728 bytes exhausted (tried to allocate 82 bytes) in
/home/resolve/public_html/__swift/library/Database/class.SWIFT_Database.php on line 1006</code>

So the module appears to be working with the exception of browsing tickets.

Using Kayako Resolve, 4.51.1891 and your latest code. Have followed the installation instructions and those
in the Word document as well.

Would appreciate any tips on how to fix.

History

11/30/2012 08:40 pm - Justin Freeman
By the way, it's not a PHP memory limit problem as have increased the memory up to 1GB and still have the error.

01/02/2013 12:02 pm - W Kish
Having the same issue.

01/03/2013 02:57 am - Mahesh Salaria

- Assignee set to Amarjeet Kaur

01/09/2013 09:04 pm - Justin Freeman

- File 115-filter_email_lookup.patch added

To fix this, we've locally implemented a change that restricts the ticket retrieval to the current user's email when making the REST call, instead of
filtering the results afterwards.

Patch attached.

05/14/2013 08:11 am - hi@naveen.in
facing same issue ... does any body have solution for it...?

06/24/2013 02:37 am - Amarjeet Kaur
- Status changed from New to Closed

06/24/2013 05:34 am - Justin Freeman
What is the outcome for this issue, is it fixed?
No one would know.. it's just “closed".
06/24/2013 06:08 am - Amarjeet Kaur

- Status changed from Closed to In Progress

Hi Justin,

Please accept my apologies for wrong status update for this issue.

Regarding update for this issue, | would like to inform you that we have added pagination support for tickets in WHMCS module.

But this feature is under auditing process, and will be available soon.

Your patience and understanding is highly appreciated.

Thank you,

Amarjeet Kaur

06/24/2013 06:17 am - Justin Freeman

Thanks Amarjeet :)

07/01/2013 11:15 am - Vitaliy
Thanks Justin for patch

Is it possible to apply this patch to clienareahome because we have huge memory usage on this page too.

02/27/2014 01:08 am - Mansi Wason
- Status changed from In Progress to Closed
The latest WHMCS release version v01.00.03.

02/27/2014 04:41 am - Mansi Wason

- Status changed from Closed to Resolved

Files

115-filter_email_lookup.patch 626 Bytes
